#!/bin/bash

ACTIVE="$1"
if [ -z "$ACTIVE" ]; then
  ACTIVE="production"
  echo "Use default profile: $ACTIVE"
fi

[ ! -d ~/run/ ] && mkdir -p ~/run

if [ -f ~/run/adsprod-service.pid ]; then
  echo "Server [adsprod-service] pid file has been exists!";
  exit
fi

SERVER_JAR=`ls ../lib/adsprod-service-2.3.0-SNAPSHOT.jar`

exec "${JAVA_HOME}/bin/java" -server -Dspring.profiles.active=$ACTIVE -Xms5g -Xmx5g -XX:+HeapDumpOnOutOfMemoryError -XX:+UseG1GC -jar ${SERVER_JAR} >/dev/null 2>&1 & echo $! > ~/run/adsprod-service.pid